//------------------------------------------------------------------------------
// audiofilter.cpp
//
// Copyright (C) 2013 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#include "audiofilter.h"

#include "audio/filters/filtermetadata.h"

class AudioFilter::PrivData
{
	public:
		FilterMetaData metaData;
};
//////////////////////////////////////////////////////////////////////////////
AudioFilter::AudioFilter(const FilterMetaData& metaData)
{
	d = new PrivData();
	d->metaData = metaData;
}

AudioFilter::~AudioFilter()
{
	delete d;
}

const FilterMetaData& AudioFilter::metaData() const
{
	return d->metaData;
}

