//------------------------------------------------------------------------------
// audiofilter.h
//
// Copyright (C) 2013 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef CPP_AUDIO_FILTERS_AUDIOFILTER_H
#define CPP_AUDIO_FILTERS_AUDIOFILTER_H

#include <QIODevice>

class FilterMetaData;

class AudioFilter
{
	public:
		AudioFilter(const FilterMetaData& metaData);
		virtual ~AudioFilter();

		virtual QWidget* configWidget(QWidget* parentWidget) { return NULL; }
		virtual bool feed(QIODevice& in, QIODevice& out) = 0;
		virtual bool isConfigurable() const { return false; }
		const FilterMetaData& metaData() const;

	private:
		class PrivData;
		PrivData* d;
};

#endif
