//------------------------------------------------------------------------------
// amplifyfiltercfg.cpp
//
// Copyright (C) 2013 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#include "amplifyfiltercfg.h"

const QString SECTION_NAME = "Filters.Amplify";

const QString POWER_LEVEL = "PowerLevel";


AmplifyFilterCfg::AmplifyFilterCfg(Config* pConfig)
: ConfigSection(pConfig, SECTION_NAME)
{
}

float AmplifyFilterCfg::powerLevel() const
{
	return value(POWER_LEVEL, 1.0).toFloat();
}

void AmplifyFilterCfg::setPowerLevel(float val)
{
	setValue(POWER_LEVEL, val);
}

