//------------------------------------------------------------------------------
// filtersconfig.cpp
//
// Copyright (C) 2013 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#include "filtersconfig.h"

const QString SECTION_NAME = "Filters";

const QString ENABLED_FILTERS = "EnabledFilters";


FiltersConfig::FiltersConfig(Config* pConfig)
: ConfigSection(pConfig, SECTION_NAME)
{
}

QStringList FiltersConfig::enabledFilters() const
{
	return value(ENABLED_FILTERS).toStringList();
}

void FiltersConfig::setEnabledFilters(const QStringList& val)
{
	setValue(ENABLED_FILTERS, val);
}

