//------------------------------------------------------------------------------
// notificationsconfig.h
//
// Copyright (C) 2012 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef __NOTIFICATIONSCONFIG_H__
#define __NOTIFICATIONSCONFIG_H__

#include "config/configsection.h"

class NotificationsConfig : public ConfigSection
{
	public:
		NotificationsConfig(Config* pConfig);
		
		bool isShowRecordingTimeOnTitleBarEnabled() const;
		bool isStartedRecordingSoundEnabled() const;
		bool isStoppedRecordingSoundEnabled() const;
		QString startedRecordingSoundPath() const;
		QString stoppedRecordingSoundPath() const;
		
		void setIsShowRecordingTimeOnTitleBarEnabled(bool b);
		void setIsStartedRecordingSoundEnabled(bool b);
		void setIsStoppedRecordingSoundEnabled(bool b);
		void setStartedRecordingSoundPath(const QString& val);
		void setStoppedRecordingSoundPath(const QString& val);
		
};

#endif