//------------------------------------------------------------------------------
// configdialog.h
//
// Copyright (C) 2011 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef __CONFIGDIALOG_H__
#define __CONFIGDIALOG_H__

#include "ui_configdialog.h"

class ConfigDialog : public QDialog, private Ui::ConfigDialog
{
	Q_OBJECT

	public:
		ConfigDialog(QWidget* pParent = NULL);

	public slots:
		void accept();
		void apply();

	private slots:
		void buttonClicked(QAbstractButton* pButton);
		bool saveConfig();
		void tabChanged(int index);
		bool validateConfigTab(ConfigTab* pTab);
};

#endif
