//------------------------------------------------------------------------------
// generalcfgtab.h
//
// Copyright (C) 2011 - 2012 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef __GENERALCFGTAB_H__
#define __GENERALCFGTAB_H__

#include "ui_generalcfgtab.h"

#include "gui/configtabs/configtab.h"

class GeneralCfgTab : public ConfigTab, private Ui::GeneralCfgTab
{
	Q_OBJECT

	public:
		GeneralCfgTab(QWidget* pParent = NULL);
		
		QString name() const
		{
			return tr("General");
		}

		void loadConfig();
		void saveConfig();

		QString validate();

	private:
		void hideErrorLabels();

		QString validateOutputPath();

	private slots:
		void showPickOutputPathDialog();
};

#endif
