//------------------------------------------------------------------------------
// trayicon.h
//
// Copyright (C) 2011 - 2012 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef __TRAYICON_H__
#define __TRAYICON_H__

#include <QSystemTrayIcon>

class MainWindow;

class TrayIcon : public QSystemTrayIcon
{
	Q_OBJECT

	public:
		TrayIcon(MainWindow* pMainWindow);
		~TrayIcon();
		
	public slots:
		void setIconNormal();
		void setIconRecording();
		
	private:
		MainWindow* pMainWindow;
		
	private slots:
		void trayIconActivated(QSystemTrayIcon::ActivationReason reason);
};

#endif
