//------------------------------------------------------------------------------
// versioninfo.h
//
// Copyright (C) 2011 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef __VERSIONINFO_H__
#define __VERSIONINFO_H__

#include <QString>

class VersionInfo
{
	public:
		/**
		 *	@brief Directory name where application may store its data.
		 */
		static QString		appDataDirName();
		
		static QString		fullName();
		static QString		mainConfigFileName();
		static QString		programName();
		static QString		revision();
		static int			revisionNumber();
		static QString		version();
		static QString		versionRevision();
		static QString		yearSpan();
};

#endif
