//------------------------------------------------------------------------------
// audioerror.h
//
// Copyright (C) 2013 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef ARI_AUDIO_AUDIOERROR_H
#define ARI_AUDIO_AUDIOERROR_H

#include <QObject>

class AudioError : public QObject
{
	Q_OBJECT

	public:
		enum AudioErrorType
		{
			NoError = 0,
			DeviceNotFound,
			NoAudioDevices,
			NoDefaultDevice,
			OutputOpenFailure,
			OperationAlreadyInProgress,
			NotSet
		};

		static QString toString(AudioErrorType errorType);
		static QString toString(int errorType);
};

#endif
