//------------------------------------------------------------------------------
// amplifyfilter.h
//
// Copyright (C) 2013 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef CPP_AUDIO_FILTERS_AMPLIFYFILTER_H
#define CPP_AUDIO_FILTERS_AMPLIFYFILTER_H

#include "audio/filters/audiofilter.h"
#include <QAudioFormat>

class AmplifyFilter : public AudioFilter
{
	public:
		AmplifyFilter(const FilterMetaData& metaData);
		~AmplifyFilter();

		QWidget* configWidget(QWidget* parentWidget);
		bool feed(QIODevice& in, QIODevice& out);
		bool isConfigurable() const { return true; }

	private:
		class PrivData;

		PrivData* d;

		qint32 readSample(QDataStream& stream);
		void writeSample(QDataStream& stream, qint32 sample);
};

#endif
