//------------------------------------------------------------------------------
// generalconfig.h
//
// Copyright (C) 2011 - 2012 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef __GENERALCONFIG_H__
#define __GENERALCONFIG_H__

#include "config/configsection.h"

class GeneralConfig : public ConfigSection
{
	public:
		GeneralConfig(Config* pConfig);
		
		bool isCloseToTrayIconEnabled() const;
		bool isMinimizeToTrayIconEnabled() const;
		bool isTrayIconEnabled() const;
		
		QString outputFile() const;
		
		void setCloseToTrayIconEnabled(bool b);
		void setOutputFile(const QString& fileName);
		void setMinimizeToTrayIconEnabled(bool b);
		void setTrayIconEnabled(bool b);
};

#endif