//------------------------------------------------------------------------------
// shortcutsconfig.h
//
// Copyright (C) 2011 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef __SHORTCUTSCONFIG_H__
#define __SHORTCUTSCONFIG_H__

#include "config/configsection.h"

class ShortcutsConfig : public ConfigSection
{
	public:
		ShortcutsConfig(Config* pConfig);

		QString startRecord();
		QString stopRecord();
		QString toggleRecord();

		void setStartRecord(const QString& str);
		void setStopRecord(const QString& str);
		void setToggleRecord(const QString& str);
};

#endif
