//------------------------------------------------------------------------------
// shortcutscfgtab.cpp
//
// Copyright (C) 2011 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#include "gui/configtabs/shortcutscfgtab.h"

#include "config/shortcutsconfig.h"

ShortcutsCfgTab::ShortcutsCfgTab(QWidget* pParent)
: ConfigTab(pParent)
{
	setupUi(this);
}

void ShortcutsCfgTab::loadConfig()
{
	ShortcutsConfig cfg(gpConfig);

	leStartRecord->setText(cfg.startRecord());
	leStopRecord->setText(cfg.stopRecord());
	leToggleRecord->setText(cfg.toggleRecord());
}

void ShortcutsCfgTab::saveConfig()
{
	ShortcutsConfig cfg(gpConfig);

	cfg.setStartRecord(leStartRecord->text());
	cfg.setStopRecord(leStopRecord->text());
	cfg.setToggleRecord(leToggleRecord->text());
}

QString ShortcutsCfgTab::validate()
{
	return QString();
}
