//------------------------------------------------------------------------------
// iconlabel.h
//
// Copyright (C) 2011 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef __ICONLABEL_H__
#define __ICONLABEL_H__

#include <QHBoxLayout>
#include <QLabel>
#include <QWidget>

class IconLabel : public QWidget
{
	public:
		IconLabel(QWidget* pParent = NULL);
		
		const QPixmap* pixmap() const;
		QString text() const;
		void setPixmap(const QPixmap& pixmap);
		void setText(const QString& str);
		
	private:
		QHBoxLayout* pLayout;
		QLabel* lblIcon;
		QLabel* lblText;
};

#endif
