//------------------------------------------------------------------------------
// versiondefs.h
//
// Copyright (C) 2013 "Zalewa" <zalewapl@gmail.com>
//------------------------------------------------------------------------------
#ifndef CPP_VERSIONDEFS_H
#define CPP_VERSIONDEFS_H

// This is a centralized location to store all version information. Make sure
// to update this file before making a new tag or a new release.
//
// NOTE:
// This file defines the version data but it SHOULD NOT be used to access this 
// data. To prevent unnecessary recompilations of huge amount of files
// everytime the version changes, all information should be accessed
// using the class defined in 'version.h' file.
//
// This file should only by included by following files:
// - versioninfo.cpp
// - windows.rc

// Info used by versioninfo.cpp
#define VERSION_STRING "0.4"
#define YEARSPAN_STRING "2011 - 2013"

// Info used by windows.rc
#define FILEVERSION_DEF 0,4,0,0
#define PRODUCTVERSION_DEF 0,4,0,0
#define FILEVERSION_STR_DEF "0.4.0.0"
#define PRODUCTVERSION_STR_DEF "0.4.0.0"
#define LEGALCOPYRIGHT_DEF "Zalewa 2011 - 2013"

#endif
